lkml.org 
[lkml]   [2009]   [Jun]   [23]   [last100]   RSS Feed
Views: [wrap][no wrap]   [headers]  [forward] 
 
Messages in this thread
/
SubjectRe: Panic booting 2.6.30
From
Date
Hi Robert,

That was it. Including the appropriate driver in the kernel build
worked like a charm.

Thanks for your help--Short and correct!

David

On Fri, 2009-06-19 at 22:43 -0600, Robert Hancock wrote:
> On 06/19/2009 01:23 PM, David Ronis wrote:
> > I've just upgraded an older machine (a P3 running slackware 11.0) from
> > 2.6.26.5 to 2.6.30; the build was uneventful. However, on reboot (using
> > lilo) I get:
> >
> > VSF: Cannot open root device "hda2" or unknown-block(0,0)
> > Please append a correct root= boot option; here are the available
> > partions:<====== nothing shows here...
> > Kernel-Panic - not syncing.
> >
> > I had rebooted with and without root=hda2. The old kernel is still
> > usable.
>
> Make sure you configured in the proper IDE driver for your chipset.
> Previously I believe the IDE driver would attach to unknown chipsets in
> a crappy generic fashion, but I don't think it does anymore.
>
> If that doesn't help, please post your kernel config and lspci output.
>


\
 
 \ /
  Last update: 2009-06-23 17:21    [W:0.062 / U:2.460 seconds]
©2003-2020 Jasper Spaans|hosted at Digital Ocean and TransIP|Read the blog|Advertise on this site